Bug 887209 - [RFE] nova should query service catalogue to learn about glance (image service) deployments
[RFE] nova should query service catalogue to learn about glance (image servic...
Status: CLOSED CURRENTRELEASE
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-nova (Show other bugs)
2.0 (Folsom)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: RHOS Maint
yeylon@redhat.com
: FutureFeature, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-12-14 05:24 EST by Giulio Fidente
Modified: 2016-04-18 03:02 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-28 15:37:23 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Giulio Fidente 2012-12-14 05:24:49 EST
Description of problem:
nova does not query keystone to learn about glance (image service) deployments, requires glance_{host,port} to be set in nova.conf


Version-Release number of selected component (if applicable):
openstack-nova-2012.2.1-2.el6ost.noarch


Steps to Reproduce:
1. install and configure glance in keystone
2. install nova on a separate host
3. try 'nova image-list'
  

Actual results:
in api.log
> CommunicationError: Error communicating with http://$HOSTNAME:9292 [Errno 111] ECONNREFUSED


Expected results:
nova discovers glance installations via keystone
Comment 2 Alan Pevec 2012-12-20 13:29:25 EST
This was discussed some time ago upstream[1] but no changes yet AFAICT

[1] https://lists.launchpad.net/openstack/msg13288.html
Comment 4 Stephen Gordon 2016-01-28 15:37:23 EST
This no longer appears to be required in current releases.

Note You need to log in before you can comment on or make changes to this bug.